summaryrefslogtreecommitdiffstats
path: root/development/eclipse/eclipse.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/eclipse/eclipse.SlackBuild')
-rw-r--r--development/eclipse/eclipse.SlackBuild15
1 files changed, 4 insertions, 11 deletions
diff --git a/development/eclipse/eclipse.SlackBuild b/development/eclipse/eclipse.SlackBuild
index a981056af9..00209472d6 100644
--- a/development/eclipse/eclipse.SlackBuild
+++ b/development/eclipse/eclipse.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for eclipse
-# Copyright (c) 2008-2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,7 +24,7 @@
# This script is just a binary repackaging.
PRGNAM=eclipse
-VERSION=3.5.1
+VERSION=3.5.2
ARCH=${ARCH:-i586}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,21 +69,14 @@ cd \$HOME
EOF
chmod 0755 $PKG/usr/bin/eclipse
-# Add an icon for eclipse
-install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
-
# Add eclipse to KDE/GNOME/XFCE menu and install an icon for them
install -D -m 0644 $CWD/$PRGNAM.desktop \
$PKG/usr/share/applications/$PRGNAM.desktop
install -D -m 0644 $CWD/$PRGNAM.png \
$PKG/usr/share/pixmaps/$PRGNAM.png
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Don't clobber any existing config file
mv $PKG/opt/$PRGNAM/configuration/config.ini \